Intake Forms
Send an intake form
Send a published client intake form to a client or prospect household.
POST
/
v1
/
intake_form_invitations
Send an intake form
curl --request POST \
--url https://api.slant.app/v1/intake_form_invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"book_id": "<string>",
"intake_form_id": "<string>",
"household_id": "<string>",
"recipients": {
"head_of_household": "to",
"spouse_or_partner": "none"
},
"creator_copy_method": "bcc",
"reminder_limit": 3,
"reminder_interval_days": 3
}
'import requests
url = "https://api.slant.app/v1/intake_form_invitations"
payload = {
"book_id": "<string>",
"intake_form_id": "<string>",
"household_id": "<string>",
"recipients": {
"head_of_household": "to",
"spouse_or_partner": "none"
},
"creator_copy_method": "bcc",
"reminder_limit": 3,
"reminder_interval_days": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
book_id: '<string>',
intake_form_id: '<string>',
household_id: '<string>',
recipients: {head_of_household: 'to', spouse_or_partner: 'none'},
creator_copy_method: 'bcc',
reminder_limit: 3,
reminder_interval_days: 3
})
};
fetch('https://api.slant.app/v1/intake_form_invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "invitation123xyz",
"book_id": "book123xyz",
"intake_form_id": "form123xyz",
"household_id": "household123xyz",
"delivery_method": "slant_email",
"sent_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling.
Body
application/json
The book ID
The published intake form ID
The client or prospect household ID
Recipient delivery types by household role
Show child attributes
Show child attributes
Available options:
bcc, cc, none Required range:
0 <= x <= 10Required range:
1 <= x <= 30Response
intake form sent
The intake form invitation ID
Example:
"invitation123xyz"
The book ID
Example:
"book123xyz"
The intake form ID
Example:
"form123xyz"
The recipient household ID
Example:
"household123xyz"
Available options:
open, submitted, expired, revoked Available options:
slant_email Available options:
bcc, cc, none ⌘I
Send an intake form
